BIZE(8)

NAME
bize - ROCK-Linux .tar.bz2 package manager

SYNOPSIS
bize -i [-t] [-v] [-f] [-R root] package1.tar.bz2 ...

bize -r [-t] [-v] [-f] [-R root] package1 ...

DESCRIPTION
bize is a shell script capable of installing, updating and removing ROCK-Linux .tar.bz2 package files. It implements a subset of mine options.

  Requirements
which (or type), sort, rm, rmdir, mkdir, tar and bzip2, and also md5sum, unless -f is specified. All these are standard programs present in any Linux system, but bize checks for them on startup anyway.

The operating system must be able to remove files being in use. All Linux systems have this ability.

  Compatibility
The .tar.bz2 and .gem formats are not compatible. Packages installed with bize can be removed with mine and vice-versa. bize has not been tested with ROCK-Linux 1.6 or earlier. Some of the ROCK-Linux 1.7.0+ targets produce .tar.bz2 packages only.

  Effectiveness
bize installs packages slightly faster than mine and removes them about 25% faster (but see BUGS). More time is usually required to remove a package than to install it, so bize is, overall, about 15% faster than mine. Needless to say, your mileage may vary.

The .tar.bz2 packages are a bit smaller than the .gem packages and are created a bit faster.

OPTIONS

-i  Install or update packages.

-r  Remove packages.

-t  Test mode. Show what will happen without doing it.

-v  Be verbose.

-f  Force removal/replacement of the modified files.

-r root
    Use root as root directory instead of /.

--  Terminate the option list.

BUGS
bize will try to compute md5sum for any file with an md5sum entry, even for devices and pipes. A normally built and installed ROCK- Linux package includes md5sum entries for the regular files only.

bize doesn't make backups, because I don't like them (of course, any modified files are preserved unless -f is specified). mine makes backups, so this is listed as a bug.

SEE ALSO
GEM-MINE